Не могу установить пакет perl-net-rawip!

Автор: X-Cool Дата: 20.02.2009 07:54 Система ASPLinux12 Deluxe. Требуется поставить пакет perl-net-rawip. Нашел его в rpm. При установке говорит что есть неразрешенная зависимость - libpcap.so.0.8.3. Я сделал символическую ссылку на имеющуюся в системе библиотеку /usr/lib/libpcap.so.0.9. Все равно не хочет устанавливаться. Что еще можно сделать?
Re: Не могу установить пакет perl-net-rawip! 20.02.2009 10:38lg Пересобрать пакет из src.rpm самостоятельно или искать версию, требующую ваши версии библиотек
Re: Не могу установить пакет perl-net-rawip! 20.02.2009 11:57X-Cool lg Пишет:
-------------------------------------------------------
> Пересобрать пакет из src.rpm самостоятельно или
> искать версию, требующую ваши версии библиотек

Пробовал! То что удалось найти не хочет собираться, в одном случае жалуется на тэг Copyright GPL в строке 13, в другом случае требует дополнительные сборки perl(proc-processtable) и (test-perl-critic).
Из тара тоже не устанавливается - куча предупреждений и завершается все ошибкой.
Re: Не могу установить пакет perl-net-rawip! 20.02.2009 12:21lkanter ну вот найдите что такое perl(proc-processtable) и (test-perl-critic) и поставьте их сначала.
Re: Не могу установить пакет perl-net-rawip! 20.02.2009 12:24X-Cool lkanter Пишет:
-------------------------------------------------------
> ну вот найдите что такое perl(proc-processtable) и
> (test-perl-critic) и поставьте их сначала.

Боюсь возникнут трудности, аналогичные пакету perl-net-rawip!
Неизвестно еще какие им сборки потребуются.
Re: Не могу установить пакет perl-net-rawip! 20.02.2009 12:36lkanter а что делать - всё равно без сборки всех необходимых промежуточных пакетов этот не соберётся!

X-Cool Пишет:
-------------------------------------------------------
> lkanter Пишет:
> --------------------------------------------------
> -----
> > ну вот найдите что такое perl(proc-processtable)
> и
> > (test-perl-critic) и поставьте их сначала.
>
> Боюсь возникнут трудности, аналогичные пакету
> perl-net-rawip!
> Неизвестно еще какие им сборки потребуются.
Re: Не могу установить пакет perl-net-rawip! 20.02.2009 12:44X-Cool lkanter Пишет:
-------------------------------------------------------
> а что делать - всё равно без сборки всех

Надо как-то втолковать пакету perl-net-rawip что библиотека libpcap.so.0.8.3 лежит в /usr/lib. Я ее нашел на машине с ASPLinux10. Но он все равно устанавливаться не хочет и жалуется на ее отсутствие.
Re: Не могу установить пакет perl-net-rawip! 20.02.2009 13:07Shurik_by rpm -ihv --nodeps perl-net-rawip.rpm
RSS-материал